/****************************************************************************

Package:            de.mvcsys.epocutil
Class:              GridPanel

Task:               Panel with GridBagLayout

Author:             Jonathan Allin
Modified by:        Marcus von Cube

Credits:            Borrowed from "Professional Symbian Programming"
                    by Martin Tasker, Birmingham 2000

Updates:

Datum     Name  Vers.  Bemerkung
-----------------------------------------------------------------------------
25.04.99  JA    0.1    created
26.04.03  MvC   0.2    package de.mvcsys.awtutil

****************************************************************************/

package de.mvcsys.awtutil;

import java.awt.*;

/**
 *  Panel with GridBagLayout
 */
public class GridPanel extends Panel
{
    private GridBagLayout layout;

    public GridBagConstraints constraints;

    public GridPanel()
    {
        layout = new GridBagLayout();
        setLayout( layout );
        constraints = new GridBagConstraints();
        constraints.insets = new Insets( 2, 2, 2, 2 );
        constraints.anchor = GridBagConstraints.NORTH;
    }

    public void add( Component item, int gridx, int gridy )
    {
        constraints.gridx = gridx;
        constraints.gridy = gridy;
        layout.setConstraints( item, constraints );
        add( item );
    }
}
